Subject: [PATCH v2 0/4] midx: split out sub-commands

From: Taylor Blau <[email-masked]>
Date: Mon, 15 Feb 2021 16:01:28 -0500

Here's a few patches that we could add to the beginning of this series,
or queue up separately.

I think that these are all fairly straightforward, but it would be good
to have Ævar take a look and make sure I'm not doing anything wrong
here.

I'll plan to send a v2 of the reverse index series in a few days with
these four new patches at the beginning.

Taylor Blau (4):
  builtin/multi-pack-index.c: inline 'flags' with options
  builtin/multi-pack-index.c: don't handle 'progress' separately
  builtin/multi-pack-index.c: define common usage with a macro
  builtin/multi-pack-index.c: split sub-commands

 builtin/multi-pack-index.c | 155 +++++++++++++++++++++++++++++--------
 1 file changed, 124 insertions(+), 31 deletions(-)

--
2.30.0.667.g81c0cbc6fd